Bug 10877 - RedHat 6.x X Font Server DoS Vulnerability
RedHat 6.x X Font Server DoS Vulnerability
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
http://www.securityfocus.com/vdb/bott...
: Security
: 10897 10951 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-17 14:38 EDT by Matthew Miller
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 12:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2000-04-17 14:38:15 EDT
See: http://www.securityfocus.com/vdb/bottom.html?vid=1111

From the discussion there:

A denial of service exists in the X11 font server shipped with RedHat Linux
6.x. Due to improper input validation, it is possible for any user to crash
the X fontserver. This will prevent the X server from functioning properly.

(There is also an exploit:
http://www.securityfocus.com/data/vulnerabilities/exploits/kill-xfs.c )
Comment 1 Bill Nottingham 2000-04-18 15:27:59 EDT
*** Bug 10897 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Miller 2000-05-24 13:39:59 EDT
Any word on this? Not only would it be nice to have these things fixed, it looks
bad for Linux in general when it takes a long time. (See, for instance
http://www.securityfocus.com/frames/?content=/vdb/stats.html)

(I'm sorry that I don't have the programming skills myself to give you a patch.)
Comment 3 Bernhard Rosenkraenzer 2000-12-20 07:50:47 EST
*** Bug 10951 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2001-05-25 10:45:54 EDT
Fixed in our currently pending errata soon to be released.

Note You need to log in before you can comment on or make changes to this bug.